post
https://sandbox.saner.secpod.com/AncorWebService/perform
List AD configuration for every organization, or for one named organization.
This feature allows you to get AD configuration details of the organizations in Saner Server. It requires name of organizations to get their AD configuration details. If no name is provided, all organization AD configuration details are fetched.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Name of the organization whose AD configuration details will be fetched. If not provided, all organizations' AD configurations are returned | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.AD.getConfig(
organization="Demo Org"
)
print(response)
client.close()Requires Python 3.9 or later.